Index: WAeUP_SRP/trunk/Students.py
===================================================================
--- WAeUP_SRP/trunk/Students.py	(revision 1385)
+++ WAeUP_SRP/trunk/Students.py	(revision 1386)
@@ -551,23 +551,25 @@
             study_course = student.study_course
             dsc = {}
-            from_certificate = ['title',
-                               'max_elect',
-                               'max_pass',
-                               'n_core',
-                               'nr_years',
-                               'probation_credits',
-                               'promotion_credits',
-                               'start_level',
-                              ]
-            for f in from_certificate:
-                dsc[f] = getattr(cert_doc,f)
-            dsc['faculty'] = jamb.get(csv_d['faculty'])
-            dsc['department'] = jamb.get(csv_d['department'])
+            #from_certificate = ['title',
+            #                   'max_elect',
+            #                   'max_pass',
+            #                   'n_core',
+            #                   'nr_years',
+            #                   'probation_credits',
+            #                   'promotion_credits',
+            #                   'start_level',
+            #                  ]
+            #for f in from_certificate:
+            #    dsc[f] = getattr(cert_doc,f)
+            #dsc['faculty'] = jamb.get(csv_d['faculty'])
+            #dsc['department'] = jamb.get(csv_d['department'])
             catalog_entry['faculty'] = jamb.get(csv_d['faculty'])
             catalog_entry['department'] = jamb.get(csv_d['department'])
             catalog_entry['course'] = cert_id
-            catalog_entry['level'] = getattr(cert_doc,'start_level')
+            #catalog_entry['level'] = getattr(cert_doc,'start_level')
+            catalog_entry['level'] = '200'
             dsc['study_course'] = cert_id
-            dsc['entry_session'] = jamb.get(csv_d['session'])
+            dsc['current_level'] = '200'
+            #dsc['entry_session'] = jamb.get(csv_d['session'])
             study_course.getContent().edit(mapping=dsc)
             self.students_catalog.addRecord(**catalog_entry)
@@ -773,23 +775,25 @@
             study_course = student.study_course
             dsc = {}
-            from_certificate = ['title',
-                               'max_elect',
-                               'max_pass',
-                               'n_core',
-                               'nr_years',
-                               'probation_credits',
-                               'promotion_credits',
-                               'start_level',
-                              ]
-            for f in from_certificate:
-                dsc[f] = getattr(cert_doc,f)
-            dsc['faculty'] = jamb.get(csv_d['faculty'])
-            dsc['department'] = jamb.get(csv_d['department'])
+            #from_certificate = ['title',
+            #                   'max_elect',
+            #                   'max_pass',
+            #                   'n_core',
+            #                   'nr_years',
+            #                   'probation_credits',
+            #                   'promotion_credits',
+            #                   'start_level',
+            #                  ]
+            #for f in from_certificate:
+            #    dsc[f] = getattr(cert_doc,f)
+            #dsc['faculty'] = jamb.get(csv_d['faculty'])
+            #dsc['department'] = jamb.get(csv_d['department'])
             catalog_entry['faculty'] = jamb.get(csv_d['faculty'])
             catalog_entry['department'] = jamb.get(csv_d['department'])
             catalog_entry['course'] = cert_id
-            catalog_entry['level'] = getattr(cert_doc,'start_level')
+            #catalog_entry['level'] = getattr(cert_doc,'start_level')
+            catalog_entry['level'] = '100'
             dsc['study_course'] = cert_id
-            dsc['entry_session'] = jamb.get(csv_d['session'])
+            dsc['entry_level'] = '100'            
+            #dsc['entry_session'] = jamb.get(csv_d['session'])
             study_course.getContent().edit(mapping=dsc)
             self.students_catalog.addRecord(**catalog_entry)
@@ -910,5 +914,5 @@
                 self.fixEntryModeForReturning(csv_file=head)
     ###)
-    
+
     security.declareProtected(ModifyPortalContent,"fixEntryModeForReturning")###(
     def fixEntryModeForReturning(self,csv_file=None):
@@ -1079,9 +1083,9 @@
                 no_import.append( format_error % student)
                 continue
-            s = self.students_catalog(matric_no=matric_no)
-            if s:
-                level = "%s" % (int(student.get('Level')) + 100)
-                self.students_catalog.modifyRecord(id = s[0].id,
-                                                       level=level)
+            #s = self.students_catalog(matric_no=matric_no)
+            #if s:
+            #    level = "%s" % (int(student.get('Level')) + 100)
+            #    self.students_catalog.modifyRecord(id = s[0].id,
+            #                                           level=level)
 
             regs.append(student.get('matric_no'))