Index: WAeUP_SRP/trunk/profiles/default/schemas/academics.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/academics.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/academics.xml	(revision 1399)
@@ -1,2 +1,3 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="academics" meta_type="CPS Schema"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/academics_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/academics_search.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/academics_search.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="student_search" meta_type="CPS Schema">
  <field name="review_state" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/acco_bed_booking.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/acco_bed_booking.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/acco_bed_booking.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="acco_bed_booking" meta_type="CPS Schema">
  <field name="bed_letter" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/acco_hall.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/acco_hall.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="accommodation" meta_type="CPS Schema">
   <field name="beds_for_final" meta_type="CPS String List Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/certificate.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/certificate.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/certificate.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="certificate" meta_type="CPS Schema">
  <field name="title" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/certificate_course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/certificate_course.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/certificate_course.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="certificate_course" meta_type="CPS Schema">
  <field name="admin_status" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/course.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/course.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="course" meta_type="CPS Schema">
  <field name="adm_status" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/department.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/department.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/department.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="department" meta_type="CPS Schema">
  <field name="code" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/faculty.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/faculty.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="faculty" meta_type="CPS Schema">
  <field name="bank_code" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/members.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/members.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/members.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="members" meta_type="CPS Schema">
  <field name="confirm" meta_type="CPS Password Field">
Index: WAeUP_SRP/trunk/profiles/default/schemas/payment.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/payment.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/payment.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="payment" meta_type="CPS Schema">
   <field name="date" meta_type="CPS DateTime Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/schema.xsl
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/schema.xsl	(revision 1399)
+++ WAeUP_SRP/trunk/profiles/default/schemas/schema.xsl	(revision 1399)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+  <xsl:output method="html"/>
+  <xsl:template match="/">
+    <html>
+      <body>
+        <xsl:for-each select="object">
+          <h2>
+            <xsl:value-of select="@name"/>
+          </h2> 
+        </xsl:for-each>
+        <h1>Fields</h1>
+        <table>
+          <xsl:for-each select="object/field">
+            <tr>
+              <td colspan="">
+                <xsl:value-of select="@name"/>
+              </td>
+              <td colspan="">
+                <xsl:value-of select="@meta_type"/>
+              </td>
+              <xsl:for-each select="property">
+                <td>
+                  <xsl:value-of select="@name"/>: <xsl:value-of select="text()"/>
+                </td>
+              </xsl:for-each>
+            </tr>
+          </xsl:for-each>
+        </table>
+      </body>
+    </html>
+  </xsl:template>
+</xsl:stylesheet>
+  
Index: WAeUP_SRP/trunk/profiles/default/schemas/scratch_card_batch.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/scratch_card_batch.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/scratch_card_batch.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="scratch_card_batch" meta_type="CPS Schema">
  <field name="batch_no" meta_type="CPS Int Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_accommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_accommodation.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_accommodation.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="student_accommodation" meta_type="CPS Schema">
  <field name="acco_maint_date" meta_type="CPS DateTime Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="student_application" meta_type="CPS Schema">
  <field name="app_ac_date" meta_type="CPS DateTime Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="student_clearance" meta_type="CPS Schema">
 
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_course_result.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_course_result.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_course_result.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="course_results" meta_type="CPS Schema">
  <field name="code" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="student_personal" meta_type="CPS Schema">
 
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_pume.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_pume.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_pume.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="student_pume" meta_type="CPS Schema">
  <field name="pume_eng_score" meta_type="CPS Float Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_returning.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_returning.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_returning.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="student_returning" meta_type="CPS Schema">
  <field name="email" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_search.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_search.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="student_search" meta_type="CPS Schema">
  <field name="review_state" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_study_course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_study_course.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_study_course.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="student_study_course" meta_type="CPS Schema">
   <field name="title" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_study_level.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_study_level.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_study_level.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="student_study_level" meta_type="CPS Schema">
  <field name="code" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/students.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/students.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/students.xml	(revision 1399)
@@ -1,2 +1,3 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="students" meta_type="CPS Schema"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/study_level.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/study_level.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/study_level.xml	(revision 1399)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="study_level" meta_type="CPS Schema">
  <field name="code" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/university.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/university.xml	(revision 1393)
+++ WAeUP_SRP/trunk/profiles/default/schemas/university.xml	(revision 1399)
@@ -1,2 +1,3 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="university" meta_type="CPS Schema"/>