Index: WAeUP_SRP/trunk/doc/srp_documentation.mm
===================================================================
--- WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1402)
+++ WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1402)
@@ -0,0 +1,67 @@
+<map version="0.9.0_Beta_8">
+<!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
+<node CREATED="1170079518946" ID="Freemind_Link_650524897" MODIFIED="1170079543007" TEXT="WAeUP Documentation">
+<node CREATED="1170079578051" ID="_" MODIFIED="1170079619012" POSITION="right" TEXT="Student Registration Portal">
+<node CREATED="1170079621592" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" TEXT="Campus">
+<node CREATED="1170079643589" FOLDED="true" ID="Freemind_Link_1231068129" MODIFIED="1170080364243" TEXT="Academics">
+<node CREATED="1170080366716" ID="Freemind_Link_415048819" MODIFIED="1170082092260" TEXT="n * Faculty">
+<node CREATED="1170080406892" ID="Freemind_Link_1983042340" MODIFIED="1170082108154" TEXT="n * Department">
+<node CREATED="1170080420252" ID="Freemind_Link_290613406" MODIFIED="1170080430310" TEXT="Courses">
+<node CREATED="1170080681623" ID="Freemind_Link_1844145495" MODIFIED="1170082079531" TEXT="n * Course"/>
+</node>
+<node CREATED="1170080432978" ID="Freemind_Link_562751" MODIFIED="1170080631195" TEXT="Certificates">
+<node CREATED="1170081994373" FOLDED="true" ID="Freemind_Link_1992572963" MODIFIED="1170082060444" TEXT="n * Certificate">
+<node CREATED="1170082012423" ID="Freemind_Link_1019857844" MODIFIED="1170082043332" TEXT="n * CertificateCourse"/>
+</node>
+</node>
+</node>
+</node>
+</node>
+<node CREATED="1170082138244" ID="Freemind_Link_1354366927" MODIFIED="1170082146391" TEXT="Students">
+<node CREATED="1170082147831" ID="Freemind_Link_115332414" MODIFIED="1170082160733" TEXT="n * Student">
+<node CREATED="1170082164451" ID="Freemind_Link_1627718074" MODIFIED="1170082180091" TEXT="Application">
+<node CREATED="1170083733194" ID="Freemind_Link_1398132513" MODIFIED="1170862024807" TEXT="Id: application"/>
+<node CREATED="1170083603042" ID="Freemind_Link_4951906" LINK="https://trac.waeup.org/browser/WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml?format=raw" MODIFIED="1170860609710" TEXT="Type: StudentApplication"/>
+<node CREATED="1170083649773" ID="Freemind_Link_1139787187" LINK="../profiles/default/schemas/student_application.xml" MODIFIED="1170958938456" TEXT="Schema: student_application"/>
+<node CREATED="1170883343230" ID="Freemind_Link_158025710" MODIFIED="1170883350237" TEXT="Forms">
+<node CREATED="1170883352226" ID="Freemind_Link_847687960" MODIFIED="1170883352226" TEXT=""/>
+</node>
+</node>
+<node CREATED="1170082180802" ID="Freemind_Link_812719734" MODIFIED="1170082187858" TEXT="Clearance">
+<node CREATED="1170083733194" ID="Freemind_Link_1823044370" MODIFIED="1170862044390" TEXT="Id: clearance"/>
+<node CREATED="1170083603042" ID="Freemind_Link_1641808385" LINK="https://trac.waeup.org/browser/WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml" MODIFIED="1170860373581" TEXT="Type: StudentClearance"/>
+<node CREATED="1170083649773" ID="Freemind_Link_1281565507" LINK="../profiles/default/schemas/student_clearance.xml" MODIFIED="1170958977813" TEXT="Schema: student_clearance"/>
+</node>
+<node CREATED="1170082180802" ID="Freemind_Link_634523864" MODIFIED="1170862191693" TEXT="Personal">
+<node CREATED="1170083733194" ID="Freemind_Link_1809756717" MODIFIED="1170862205697" TEXT="Id: personal"/>
+<node CREATED="1170083603042" ID="Freemind_Link_212388289" LINK="https://trac.waeup.org/browser/WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml?format=raw" MODIFIED="1170862281083" TEXT="Type: StudentPersonal"/>
+<node CREATED="1170083649773" ID="Freemind_Link_329050457" LINK="../profiles/default/schemas/student_personal.xml" MODIFIED="1170959011444" TEXT="Schema: student_personal"/>
+</node>
+<node CREATED="1170082392807" ID="Freemind_Link_1979443941" MODIFIED="1170862215735" TEXT="StudyCourse">
+<node CREATED="1170930140692" ID="Freemind_Link_607082969" MODIFIED="1170930261851" TEXT="Id: study_course"/>
+<node CREATED="1170930264337" ID="Freemind_Link_1384807180" MODIFIED="1170930283226" TEXT="Type: StudentStudyCourse"/>
+<node CREATED="1170930285073" ID="Freemind_Link_1989199190" LINK="../profiles/default/schemas/student_study_course.xml" MODIFIED="1170959056776" TEXT="Schema: student_study_course"/>
+<node CREATED="1170082404788" FOLDED="true" ID="Freemind_Link_1932365066" MODIFIED="1170082416832" TEXT="n * Level">
+<node CREATED="1170082419140" ID="Freemind_Link_1356993815" MODIFIED="1170082470528" TEXT="n * CourseResult"/>
+</node>
+</node>
+<node CREATED="1170082200667" ID="Freemind_Link_140160478" MODIFIED="1170082364784" TEXT="Payments">
+<node CREATED="1170883263996" ID="Freemind_Link_39098989" LINK="../profiles/default/schemas/payment.xml" MODIFIED="1170959080069" TEXT="Schema: payment"/>
+<node CREATED="1170082366149" ID="Freemind_Link_1718065298" MODIFIED="1170082387769" TEXT="n * Payment"/>
+</node>
+</node>
+</node>
+<node CREATED="1170082502675" FOLDED="true" ID="Freemind_Link_1051871348" MODIFIED="1170082511430" TEXT="Accommodation">
+<node CREATED="1170082513362" ID="Freemind_Link_579142716" MODIFIED="1170082530016" TEXT="n * Hall"/>
+</node>
+<node CREATED="1170082542534" ID="Freemind_Link_243354429" MODIFIED="1170082550976" TEXT="Pins">
+<node CREATED="1170082553111" ID="Freemind_Link_1225342224" MODIFIED="1170082566118" TEXT="n * Batch"/>
+</node>
+<node CREATED="1170931308473" ID="Freemind_Link_249696543" MODIFIED="1170931315740" TEXT="Catalogs">
+<node CREATED="1170931319920" ID="Freemind_Link_1633117071" MODIFIED="1170931337246" TEXT="portal_catalog"/>
+<node CREATED="1170931338501" ID="Freemind_Link_80471593" LINK="../profiles/default/students_catalog.xml" MODIFIED="1170959145493" TEXT="students_catalog"/>
+</node>
+</node>
+</node>
+</node>
+</map>