Index: /WAeUP_SRP/trunk/doc/srp_documentation.mm
===================================================================
--- /WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1402)
+++ /WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1403)
@@ -5,5 +5,5 @@
 <node CREATED="1170079621592" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" TEXT="Campus">
 <node CREATED="1170079643589" FOLDED="true" ID="Freemind_Link_1231068129" MODIFIED="1170080364243" TEXT="Academics">
-<node CREATED="1170080366716" ID="Freemind_Link_415048819" MODIFIED="1170082092260" TEXT="n * Faculty">
+<node CREATED="1170080366716" FOLDED="true" ID="Freemind_Link_415048819" MODIFIED="1170082092260" TEXT="n * Faculty">
 <node CREATED="1170080406892" ID="Freemind_Link_1983042340" MODIFIED="1170082108154" TEXT="n * Department">
 <node CREATED="1170080420252" ID="Freemind_Link_290613406" MODIFIED="1170080430310" TEXT="Courses">
@@ -17,38 +17,41 @@
 </node>
 </node>
+<node CREATED="1171014630747" ID="Freemind_Link_21788009" MODIFIED="1171014635284" TEXT="Imports"/>
 </node>
 <node CREATED="1170082138244" ID="Freemind_Link_1354366927" MODIFIED="1170082146391" TEXT="Students">
 <node CREATED="1170082147831" ID="Freemind_Link_115332414" MODIFIED="1170082160733" TEXT="n * Student">
-<node CREATED="1170082164451" ID="Freemind_Link_1627718074" MODIFIED="1170082180091" TEXT="Application">
+<node CREATED="1170082164451" FOLDED="true" ID="Freemind_Link_1627718074" MODIFIED="1170082180091" TEXT="Application">
 <node CREATED="1170083733194" ID="Freemind_Link_1398132513" MODIFIED="1170862024807" TEXT="Id: application"/>
-<node CREATED="1170083603042" ID="Freemind_Link_4951906" LINK="https://trac.waeup.org/browser/WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml?format=raw" MODIFIED="1170860609710" TEXT="Type: StudentApplication"/>
-<node CREATED="1170083649773" ID="Freemind_Link_1139787187" LINK="../profiles/default/schemas/student_application.xml" MODIFIED="1170958938456" TEXT="Schema: student_application"/>
+<node CREATED="1170083603042" ID="Freemind_Link_4951906" LINK="../profiles/default/types/StudentApplication.xml" MODIFIED="1171009517689" TEXT="Type: StudentApplication"/>
+<node CREATED="1170083649773" ID="Freemind_Link_1139787187" LINK="../profiles/default/schemas/student_application.xml" MODIFIED="1171009482163" TEXT="Schema: student_application"/>
 <node CREATED="1170883343230" ID="Freemind_Link_158025710" MODIFIED="1170883350237" TEXT="Forms">
 <node CREATED="1170883352226" ID="Freemind_Link_847687960" MODIFIED="1170883352226" TEXT=""/>
 </node>
 </node>
-<node CREATED="1170082180802" ID="Freemind_Link_812719734" MODIFIED="1170082187858" TEXT="Clearance">
+<node CREATED="1170082180802" FOLDED="true" ID="Freemind_Link_812719734" MODIFIED="1170082187858" TEXT="Clearance">
 <node CREATED="1170083733194" ID="Freemind_Link_1823044370" MODIFIED="1170862044390" TEXT="Id: clearance"/>
-<node CREATED="1170083603042" ID="Freemind_Link_1641808385" LINK="https://trac.waeup.org/browser/WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml" MODIFIED="1170860373581" TEXT="Type: StudentClearance"/>
+<node CREATED="1170083603042" ID="Freemind_Link_1641808385" LINK="../profiles/default/types/StudentClearance.xml" MODIFIED="1171009882288" TEXT="Type: StudentClearance"/>
 <node CREATED="1170083649773" ID="Freemind_Link_1281565507" LINK="../profiles/default/schemas/student_clearance.xml" MODIFIED="1170958977813" TEXT="Schema: student_clearance"/>
 </node>
-<node CREATED="1170082180802" ID="Freemind_Link_634523864" MODIFIED="1170862191693" TEXT="Personal">
+<node CREATED="1170082180802" FOLDED="true" ID="Freemind_Link_634523864" MODIFIED="1170862191693" TEXT="Personal">
 <node CREATED="1170083733194" ID="Freemind_Link_1809756717" MODIFIED="1170862205697" TEXT="Id: personal"/>
-<node CREATED="1170083603042" ID="Freemind_Link_212388289" LINK="https://trac.waeup.org/browser/WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml?format=raw" MODIFIED="1170862281083" TEXT="Type: StudentPersonal"/>
+<node CREATED="1170083603042" ID="Freemind_Link_212388289" LINK="../profiles/default/types/StudentPersonal.xml" MODIFIED="1171010050967" TEXT="Type: StudentPersonal"/>
 <node CREATED="1170083649773" ID="Freemind_Link_329050457" LINK="../profiles/default/schemas/student_personal.xml" MODIFIED="1170959011444" TEXT="Schema: student_personal"/>
 </node>
 <node CREATED="1170082392807" ID="Freemind_Link_1979443941" MODIFIED="1170862215735" TEXT="StudyCourse">
-<node CREATED="1170930140692" ID="Freemind_Link_607082969" MODIFIED="1170930261851" TEXT="Id: study_course"/>
-<node CREATED="1170930264337" ID="Freemind_Link_1384807180" MODIFIED="1170930283226" TEXT="Type: StudentStudyCourse"/>
-<node CREATED="1170930285073" ID="Freemind_Link_1989199190" LINK="../profiles/default/schemas/student_study_course.xml" MODIFIED="1170959056776" TEXT="Schema: student_study_course"/>
+<node CREATED="1170930140692" ID="Freemind_Link_607082969" MODIFIED="1171009488850" TEXT="Id: study_course"/>
+<node CREATED="1170930264337" ID="Freemind_Link_1384807180" LINK="../profiles/default/types/StudentStudyCourse.xml" MODIFIED="1171009934935" TEXT="Type: StudentStudyCourse"/>
+<node CREATED="1170930285073" ID="Freemind_Link_1989199190" LINK="../profiles/default/schemas/student_study_course.xml" MODIFIED="1171016022394" TEXT="Schema: student_study_course"/>
+<node CREATED="1171015856280" ID="Freemind_Link_86536977" LINK="../profiles/default/layouts/student_study_course.xml" MODIFIED="1171016046195" TEXT="Layout: student_study_course"/>
 <node CREATED="1170082404788" FOLDED="true" ID="Freemind_Link_1932365066" MODIFIED="1170082416832" TEXT="n * Level">
 <node CREATED="1170082419140" ID="Freemind_Link_1356993815" MODIFIED="1170082470528" TEXT="n * CourseResult"/>
 </node>
 </node>
-<node CREATED="1170082200667" ID="Freemind_Link_140160478" MODIFIED="1170082364784" TEXT="Payments">
+<node CREATED="1170082200667" FOLDED="true" ID="Freemind_Link_140160478" MODIFIED="1170082364784" TEXT="Payments">
 <node CREATED="1170883263996" ID="Freemind_Link_39098989" LINK="../profiles/default/schemas/payment.xml" MODIFIED="1170959080069" TEXT="Schema: payment"/>
 <node CREATED="1170082366149" ID="Freemind_Link_1718065298" MODIFIED="1170082387769" TEXT="n * Payment"/>
 </node>
 </node>
+<node CREATED="1171014603296" ID="Freemind_Link_592162547" MODIFIED="1171014611096" TEXT="Imports"/>
 </node>
 <node CREATED="1170082502675" FOLDED="true" ID="Freemind_Link_1051871348" MODIFIED="1170082511430" TEXT="Accommodation">
Index: /WAeUP_SRP/trunk/profiles/default/catalog.xsl
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/catalog.xsl	(revision 1402)
+++ /WAeUP_SRP/trunk/profiles/default/catalog.xsl	(revision 1403)
@@ -5,4 +5,11 @@
     <html>
       <body>
+      <head>
+        <title>
+          <xsl:value-of select="object/name"/>
+        </title>
+        <link rel="stylesheet" type="text/css" media="all"
+              href="xsl.css" />      
+      </head>
         <xsl:for-each select="object">
           <h2>
Index: /WAeUP_SRP/trunk/profiles/default/courses_catalog.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/courses_catalog.xml	(revision 1402)
+++ /WAeUP_SRP/trunk/profiles/default/courses_catalog.xml	(revision 1403)
@@ -1,4 +1,5 @@
 <?xml version="1.0"?>
-<object name="portal_catalog" meta_type="CMF Catalog">
+<?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
+<object name="courses_catalog" meta_type="CMF Catalog">
  <column value="code"/>
  <column value="faculty"/>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/layout.xsl
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/layout.xsl	(revision 1402)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/layout.xsl	(revision 1403)
@@ -4,33 +4,103 @@
   <xsl:template match="/">
     <html>
+      <head>
+        <title>
+          <xsl:value-of select="object/name"/>
+        </title>
+        <link rel="stylesheet" type="text/css" media="all"
+              href="../xsl.css" />      
+      </head>
       <body>
         <xsl:for-each select="object">
-          <div>
-            <xsl:value-of select="@name"/>
-          </div>
+          <h1><xsl:value-of select="@name"/></h1>
         </xsl:for-each>
+        <h1>Layout</h1>
+        <table>
+          <xsl:for-each select="object/table/row">
+            <xsl:variable name="color">
+              <xsl:choose>
+                <xsl:when test="position() mod 2 = 0">
+                  <xsl:text>#ffffff</xsl:text>
+                </xsl:when>
+                <xsl:otherwise>
+                  <xsl:text>#eeeeee</xsl:text>
+                </xsl:otherwise>
+              </xsl:choose>
+            </xsl:variable>
+            <tr style="background-color:{$color}">
+              <xsl:for-each select="cell">
+              <td>
+                <xsl:value-of select="@name"/>
+              </td>
+              </xsl:for-each>
+            </tr>
+          </xsl:for-each>
+        </table>
         <h1>Properties</h1>
-        <xsl:for-each select="object/property">
-          Property :
-          <div>
-            <xsl:value-of select="@name"/>:						<xsl:value-of select="text()"/>
-          </div>
-        </xsl:for-each>
+        <table>
+          <xsl:for-each select="object/property">
+            <xsl:variable name="color">
+              <xsl:choose>
+                <xsl:when test="position() mod 2 = 0">
+                  <xsl:text>#ffffff</xsl:text>
+                </xsl:when>
+                <xsl:otherwise>
+                  <xsl:text>#eeeeee</xsl:text>
+                </xsl:otherwise>
+              </xsl:choose>
+            </xsl:variable>
+            <tr style="background-color:{$color}">
+              <td>
+                <xsl:value-of select="@name"/>
+              </td>
+              <td>
+                <xsl:value-of select="text()"/>
+              </td>
+            </tr>
+          </xsl:for-each>
+        </table>
         <h1>Widgets</h1>
-        <xsl:for-each select="object/widget">
-          <div>Widget: <xsl:value-of select="@name"/>
-            Type:<xsl:value-of select="@meta_type"/>
-          </div>
-          <div>Properties:</div>
-          <xsl:for-each select="property">
-            <div>
-              <xsl:value-of select="@name"/>: <xsl:value-of select="text()"/>
-            </div>
-            <div>
-              <xsl:value-of select="element"/>
-            </div>
-            <br/>
+        <table>
+          <xsl:for-each select="object/widget">
+            <xsl:variable name="color">
+              <xsl:choose>
+                <xsl:when test="position() mod 2 = 0">
+                  <xsl:text>#ffffff</xsl:text>
+                </xsl:when>
+                <xsl:otherwise>
+                  <xsl:text>#eeeeee</xsl:text>
+                </xsl:otherwise>
+              </xsl:choose>
+            </xsl:variable>
+            <tr style="background-color:{$color}">
+              <th>
+                <xsl:value-of select="@name"/>
+              </th>
+              <td colspan="2">
+                <xsl:value-of select="@meta_type"/>
+              </td>
+            </tr>
+            <tr style="background-color:{$color}">
+              <th colspan="3">
+                Properties:
+              </th>
+            </tr>
+            <xsl:for-each select="property">
+              <tr style="background-color:{$color}">
+                <th>
+                  <xsl:value-of select="@name"/>
+                </th>
+                <td>
+                  <xsl:value-of select="text()"/>
+                </td>
+                <td>
+                  <xsl:for-each select="element">
+                    <xsl:value-of select="@value"/>
+                  </xsl:for-each>
+                </td>
+              </tr>
+            </xsl:for-each>
           </xsl:for-each>
-        </xsl:for-each>
+        </table>
       </body>
     </html>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1402)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1403)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
 <object name="student_study_course" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
@@ -7,16 +8,4 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
- <widget name="title" meta_type="String Widget">
-  <property name="title">Certificate</property>
-  <property name="fields">
-   <element value="title"/>
-  </property>
-  <property name="is_required">False</property>
-  <property name="label">Certificate</property>
-  <property name="label_edit">Certificate</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
  <widget name="study_course" meta_type="StudyCourse Widget">
   <property name="title">Certificate Code</property>
@@ -31,8 +20,38 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="current_level" meta_type="String Widget">
+  <property name="title">Current Studylevel</property>
+  <property name="fields">
+   <element value="current_level"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Current Studylevel</property>
+  <property name="label_edit">Current Studylevel</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="current_verdict" meta_type="String Widget">
+  <property name="title">Current Verdict</property>
+  <property name="fields">
+   <element value="current_verdict"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Current Verdict</property>
+  <property name="label_edit">Current Verdict</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <table>
   <row>
    <cell name="study_course"/>
   </row>
+  <row>
+   <cell name="current_verdict"/>
+  </row>
+  <row>
+   <cell name="current_level"/>
+  </row>
  </table>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/payments_catalog.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/payments_catalog.xml	(revision 1402)
+++ /WAeUP_SRP/trunk/profiles/default/payments_catalog.xml	(revision 1403)
@@ -1,4 +1,5 @@
 <?xml version="1.0"?>
-<object name="portal_catalog" meta_type="CMF Catalog">
+<?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
+<object name="payments_catalog" meta_type="CMF Catalog">
  <column value="id"/>
  <column value="student_id"/>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/schema.xsl
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/schema.xsl	(revision 1402)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/schema.xsl	(revision 1403)
@@ -4,4 +4,11 @@
   <xsl:template match="/">
     <html>
+      <head>
+        <title>
+          <xsl:value-of select="object/name"/>
+        </title>
+        <link rel="stylesheet" type="text/css" media="all"
+              href="../xsl.css" />      
+      </head>
       <body>
         <xsl:for-each select="object">
Index: /WAeUP_SRP/trunk/profiles/default/students_catalog.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/students_catalog.xml	(revision 1402)
+++ /WAeUP_SRP/trunk/profiles/default/students_catalog.xml	(revision 1403)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
-<object name="portal_catalog" meta_type="WAeUP Table">
+<object name="students_catalog" meta_type="WAeUP Table">
  <column value="id"/>
  <column value="matric_no"/>
Index: /WAeUP_SRP/trunk/profiles/default/types/Certificate.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 1402)
+++ /WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 1403)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
 <object name="Certificate" meta_type="CPS Flexible Type Information"
    xmlns:i18n="http://xml.zope.org/namespaces/i18n">
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 1402)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 1403)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
 <object name="StudentApplication" meta_type="CPS Flexible Type Information"
    xmlns:i18n="http://xml.zope.org/namespaces/i18n">
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 1402)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 1403)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
 <object name="StudentClearance" meta_type="CPS Flexible Type Information"
    xmlns:i18n="http://xml.zope.org/namespaces/i18n">
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 1402)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 1403)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
 <object name="StudentPersonal" meta_type="CPS Flexible Type Information"
    xmlns:i18n="http://xml.zope.org/namespaces/i18n">
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml	(revision 1402)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml	(revision 1403)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
 <object name="StudentStudyCourse" meta_type="CPS Flexible Type Information"
    xmlns:i18n="http://xml.zope.org/namespaces/i18n">
Index: /WAeUP_SRP/trunk/profiles/default/types/types.xsl
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/types.xsl	(revision 1403)
+++ /WAeUP_SRP/trunk/profiles/default/types/types.xsl	(revision 1403)
@@ -0,0 +1,83 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+  <xsl:output method="html"/>
+  <xsl:template match="/">
+    <html>
+      <head>
+        <title>
+          <xsl:for-each select="object">
+            <xsl:value-of select="@name"/>
+          </xsl:for-each>
+        </title>
+      </head>
+      <body>
+        <xsl:for-each select="object">
+          <h2>
+            <xsl:value-of select="@name"/>
+          </h2> 
+        </xsl:for-each>
+        <h1>Properties</h1>
+        <table>
+          <xsl:for-each select="object/property">
+            <tr>
+              <td colspan="">
+                <xsl:value-of select="@name"/>  : <xsl:value-of select="text()"/>
+              </td>
+              <xsl:for-each select="element">
+                <td>
+                  <xsl:value-of select="@value"/>
+                </td>
+              </xsl:for-each>
+            </tr>
+          </xsl:for-each>
+        </table>
+        <h1>Alias</h1>
+        <table>
+          <xsl:for-each select="object/alias">
+            <tr>
+              <td colspan="">
+                <xsl:value-of select="@from"/>  : <xsl:value-of select="@to"/>
+              </td>
+            </tr>
+          </xsl:for-each>
+        </table>
+        <h1>Actions</h1>
+        <table>
+          <tr>
+            <th>Id</th>
+            <th>Title</th>
+            <th>Permission</th>
+            <th>Category</th>
+            <th>Visible</th>
+          </tr>
+          <xsl:for-each select="object/action">
+            <xsl:sort select="@action_id"
+                      order="ascending" />
+            <tr>
+              <td>
+                <xsl:value-of select="@action_id"/>
+              </td>
+              <td>
+                <xsl:value-of select="@title"/>
+              </td>
+              <td>
+                  <xsl:value-of select=""/>
+              </td>
+              <td>
+                <xsl:value-of select="@category"/>
+              </td>
+              <td>
+                <xsl:value-of select="@visible"/>
+              </td>
+              <xsl:for-each select="element">
+                <td>
+                  <xsl:value-of select="@value"/>
+                </td>
+              </xsl:for-each>
+            </tr>
+          </xsl:for-each>
+        </table>
+      </body>
+    </html>
+  </xsl:template>
+</xsl:stylesheet>
Index: /WAeUP_SRP/trunk/profiles/default/xsl.css
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/xsl.css	(revision 1403)
+++ /WAeUP_SRP/trunk/profiles/default/xsl.css	(revision 1403)
@@ -0,0 +1,25 @@
+table {
+	border-width: 1px 1px 1px 1px;
+	border-spacing: 2px;
+	border-style: outset outset outset outset;
+	border-color: gray gray gray gray;
+	border-collapse: collapse;
+	background-color: transparent;
+}
+table th {
+	border-width: thin thin thin thin;
+	padding: 2px 2px 2px 2px;
+	border-style: solid solid solid solid;
+	border-color: gray gray gray gray;
+	background-color: transparent;
+	-moz-border-radius: 0px 0px 0px 0px;
+        text-align: left;
+}
+table td {
+	border-width: thin thin thin thin;
+	padding: 2px 2px 2px 2px;
+	border-style: solid solid solid solid;
+	border-color: gray gray gray gray;
+	background-color: transparent;
+	-moz-border-radius: 0px 0px 0px 0px;
+}
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 1402)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 1403)
@@ -27,4 +27,5 @@
     return None
 sbrain = res[0]
+info['student'] = sbrain
 cert_id = sbrain.course
 res = context.portal_catalog(portal_type = "Certificate", id = cert_id)
Index: /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 1402)
+++ /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 1403)
@@ -13,5 +13,5 @@
       <h3> 
          <span tal:condition="python:is_so and info">
-           <span tal:content="info/student/Title" />:
+           <span tal:content="info/student/name" />:
          </span>
         <span tal:content="here/title_or_id" />