Index: WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 1403)
+++ WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 1404)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
 <object name="certificate" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/certificate_course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/certificate_course.xml	(revision 1403)
+++ WAeUP_SRP/trunk/profiles/default/layouts/certificate_course.xml	(revision 1404)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
 <object name="certificate_course" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/department.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 1403)
+++ WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 1404)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
 <object name="department" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 1403)
+++ WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 1404)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
 <object name="faculty" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1403)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1404)
@@ -46,7 +46,4 @@
  <table>
   <row>
-   <cell name="study_course"/>
-  </row>
-  <row>
    <cell name="current_verdict"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/default/schemas/schema.xsl
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/schema.xsl	(revision 1403)
+++ WAeUP_SRP/trunk/profiles/default/schemas/schema.xsl	(revision 1404)
@@ -22,5 +22,15 @@
             <xsl:sort select="@name"
                       order="ascending" />
-            <tr>
+            <xsl:variable name="color">
+              <xsl:choose>
+                <xsl:when test="position() mod 2 = 0">
+                  <xsl:text>#ffffff</xsl:text>
+                </xsl:when>
+                <xsl:otherwise>
+                  <xsl:text>#eeeeee</xsl:text>
+                </xsl:otherwise>
+              </xsl:choose>
+            </xsl:variable>
+            <tr style="background-color:{$color}">
               <td colspan="">
                 <xsl:value-of select="@name"/>
Index: WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 1403)
+++ WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 1404)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
 <object name="CertificateCourse" meta_type="CPS Flexible Type Information"
    xmlns:i18n="http://xml.zope.org/namespaces/i18n">
Index: WAeUP_SRP/trunk/profiles/default/types/Course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 1403)
+++ WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 1404)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
 <object name="Course" meta_type="CPS Flexible Type Information"
    xmlns:i18n="http://xml.zope.org/namespaces/i18n">
Index: WAeUP_SRP/trunk/profiles/default/types/Department.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Department.xml	(revision 1403)
+++ WAeUP_SRP/trunk/profiles/default/types/Department.xml	(revision 1404)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
 <object name="Department" meta_type="CPS Flexible Type Information"
    xmlns:i18n="http://xml.zope.org/namespaces/i18n">
Index: WAeUP_SRP/trunk/profiles/default/types/Faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 1403)
+++ WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 1404)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
 <object name="Faculty" meta_type="CPS Flexible Type Information"
    xmlns:i18n="http://xml.zope.org/namespaces/i18n">
Index: WAeUP_SRP/trunk/profiles/default/types/types.xsl
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/types.xsl	(revision 1403)
+++ WAeUP_SRP/trunk/profiles/default/types/types.xsl	(revision 1404)
@@ -10,4 +10,6 @@
           </xsl:for-each>
         </title>
+        <link rel="stylesheet" type="text/css" media="all"
+              href="../xsl.css" />      
       </head>
       <body>
@@ -20,13 +22,26 @@
         <table>
           <xsl:for-each select="object/property">
-            <tr>
+            <xsl:variable name="color">
+              <xsl:choose>
+                <xsl:when test="position() mod 2 = 0">
+                  <xsl:text>#ffffff</xsl:text>
+                </xsl:when>
+                <xsl:otherwise>
+                  <xsl:text>#eeeeee</xsl:text>
+                </xsl:otherwise>
+              </xsl:choose>
+            </xsl:variable>
+            <tr style="background-color:{$color}">
               <td colspan="">
-                <xsl:value-of select="@name"/>  : <xsl:value-of select="text()"/>
+                <xsl:value-of select="@name"/>
               </td>
-              <xsl:for-each select="element">
-                <td>
-                  <xsl:value-of select="@value"/>
-                </td>
-              </xsl:for-each>
+              <td colspan="">
+                <xsl:value-of select="text()"/>
+              </td>
+              <td>
+                <xsl:for-each select="element">
+                  <xsl:value-of select="@value"/><br />
+                </xsl:for-each>
+              </td>
             </tr>
           </xsl:for-each>
@@ -34,8 +49,22 @@
         <h1>Alias</h1>
         <table>
+          <th>From</th><th>To</th>
           <xsl:for-each select="object/alias">
-            <tr>
+            <xsl:variable name="color">
+              <xsl:choose>
+                <xsl:when test="position() mod 2 = 0">
+                  <xsl:text>#ffffff</xsl:text>
+                </xsl:when>
+                <xsl:otherwise>
+                  <xsl:text>#eeeeee</xsl:text>
+                </xsl:otherwise>
+              </xsl:choose>
+            </xsl:variable>
+            <tr style="background-color:{$color}">
               <td colspan="">
-                <xsl:value-of select="@from"/>  : <xsl:value-of select="@to"/>
+                <xsl:value-of select="@from"/>
+              </td>
+              <td colspan="">
+                <xsl:value-of select="@to"/>
               </td>
             </tr>
@@ -54,5 +83,15 @@
             <xsl:sort select="@action_id"
                       order="ascending" />
-            <tr>
+            <xsl:variable name="color">
+              <xsl:choose>
+                <xsl:when test="position() mod 2 = 0">
+                  <xsl:text>#ffffff</xsl:text>
+                </xsl:when>
+                <xsl:otherwise>
+                  <xsl:text>#eeeeee</xsl:text>
+                </xsl:otherwise>
+              </xsl:choose>
+            </xsl:variable>
+            <tr style="background-color:{$color}">
               <td>
                 <xsl:value-of select="@action_id"/>
@@ -60,7 +99,4 @@
               <td>
                 <xsl:value-of select="@title"/>
-              </td>
-              <td>
-                  <xsl:value-of select=""/>
               </td>
               <td>
@@ -76,4 +112,16 @@
               </xsl:for-each>
             </tr>
+            <tr style="background-color:{$color}">
+              <th>url_expression</th>
+              <td colspan="4">
+                <xsl:value-of select="@url_expr"/>
+              </td>
+            </tr>
+            <tr style="background-color:{$color}">
+              <th>condition_expression</th>
+              <td colspan="4">
+                <xsl:value-of select="@condition_expr"/>
+              </td>
+            </tr>
           </xsl:for-each>
         </table>