Index: WAeUP_SRP/trunk/doc/srp_documentation.mm
===================================================================
--- WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1403)
+++ WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1405)
@@ -4,12 +4,27 @@
 <node CREATED="1170079578051" ID="_" MODIFIED="1170079619012" POSITION="right" TEXT="Student Registration Portal">
 <node CREATED="1170079621592" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" TEXT="Campus">
-<node CREATED="1170079643589" FOLDED="true" ID="Freemind_Link_1231068129" MODIFIED="1170080364243" TEXT="Academics">
-<node CREATED="1170080366716" FOLDED="true" ID="Freemind_Link_415048819" MODIFIED="1170082092260" TEXT="n * Faculty">
+<node CREATED="1170079643589" ID="Freemind_Link_1231068129" MODIFIED="1170080364243" TEXT="Academics">
+<node CREATED="1170080366716" ID="Freemind_Link_415048819" MODIFIED="1170082092260" TEXT="n * Faculty">
+<node CREATED="1171114205479" ID="Freemind_Link_777914383" LINK="../profiles/default/types/Faculty.xml" MODIFIED="1171114273018" TEXT="Type: Faculty"/>
+<node CREATED="1171124926993" ID="Freemind_Link_1995598127" LINK="../profiles/default/schemas/faculty.xml" MODIFIED="1171124974083" TEXT="Schema: faculty"/>
+<node CREATED="1171124982312" ID="Freemind_Link_875514191" LINK="../profiles/default/layouts/faculty.xml" MODIFIED="1171125747539" TEXT="Layout: faculty"/>
 <node CREATED="1170080406892" ID="Freemind_Link_1983042340" MODIFIED="1170082108154" TEXT="n * Department">
+<node CREATED="1171125049973" ID="Freemind_Link_734335561" LINK="../profiles/default/types/Department.xml" MODIFIED="1171125103478" TEXT="Type: Department"/>
+<node CREATED="1171125108968" ID="Freemind_Link_553285905" LINK="../profiles/default/schemas/department.xml" MODIFIED="1171125232838" TEXT="Schema: department"/>
+<node CREATED="1171125727127" ID="Freemind_Link_481382280" LINK="../profiles/default/layouts/department.xml" MODIFIED="1171125762591" TEXT="Layout: department"/>
 <node CREATED="1170080420252" ID="Freemind_Link_290613406" MODIFIED="1170080430310" TEXT="Courses">
+<node CREATED="1171125278776" ID="Freemind_Link_271340691" LINK="../profiles/default/types/Course.xml" MODIFIED="1171125499635" TEXT="Type: Course"/>
+<node CREATED="1171125294516" ID="Freemind_Link_1380275634" LINK="../profiles/default/schemas/course.xml" MODIFIED="1171125322984" TEXT="Schema: course"/>
+<node CREATED="1171125766553" ID="Freemind_Link_851403429" LINK="../profiles/default/layouts/course.xml" MODIFIED="1171125799374" TEXT="Layout: course"/>
 <node CREATED="1170080681623" ID="Freemind_Link_1844145495" MODIFIED="1170082079531" TEXT="n * Course"/>
 </node>
 <node CREATED="1170080432978" ID="Freemind_Link_562751" MODIFIED="1170080631195" TEXT="Certificates">
-<node CREATED="1170081994373" FOLDED="true" ID="Freemind_Link_1992572963" MODIFIED="1170082060444" TEXT="n * Certificate">
+<node CREATED="1171125332417" ID="Freemind_Link_1282410878" LINK="../profiles/default/types/Certificate.xml" MODIFIED="1171125518275" TEXT="Type: Certificate"/>
+<node CREATED="1171125354169" ID="Freemind_Link_417952670" LINK="../profiles/default/schemas/course.xml" MODIFIED="1171125878924" TEXT="Schema: certificate"/>
+<node CREATED="1171125803606" ID="Freemind_Link_1875982916" LINK="../profiles/default/layouts/certificate.xml" MODIFIED="1171125868907" TEXT="Layout: certificate"/>
+<node CREATED="1170081994373" ID="Freemind_Link_1992572963" MODIFIED="1170082060444" TEXT="n * Certificate">
+<node CREATED="1171125386330" ID="Freemind_Link_107526608" LINK="../profiles/default/types/CertificateCourse.xml" MODIFIED="1171125541376" TEXT="Type: CertificateCourse"/>
+<node CREATED="1171125407620" ID="Freemind_Link_536311369" LINK="../profiles/default/schemas/certificate_course.xml" MODIFIED="1171125455457" TEXT="Schema: certificate_course"/>
+<node CREATED="1171126119984" ID="Freemind_Link_1217942566" LINK="../profiles/default/layouts/certificate_course.xml" MODIFIED="1171126156808" TEXT="Layout: certificate_course"/>
 <node CREATED="1170082012423" ID="Freemind_Link_1019857844" MODIFIED="1170082043332" TEXT="n * CertificateCourse"/>
 </node>