Index: /WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPTool.py	(revision 1410)
+++ /WAeUP_SRP/trunk/WAeUPTool.py	(revision 1411)
@@ -262,7 +262,8 @@
         da['app_email'] = dp['email'] = email
         da['app_mobile'] = dp['phone'] = phone_nr
-        da['jamb_firstname'] = dp['firstname'] = student.Firstname
-        da['jamb_middlename'] = dp['middlename'] = student.Middlename
-        da['jamb_lastname'] = dp['lastname'] = student.Lastname
+        dp['firstname'] = student.Firstname
+        dp['middlename'] = student.Middlename
+        dp['lastname'] = student.Lastname
+        da['jamb_lastname'] = "%s %s %s" % (student.Firstname,student.Middlename,student.Lastname)
         da['jamb_sex'] = student.Sex
         dp['sex'] = student.Sex == 'F'
Index: /WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py	(revision 1410)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py	(revision 1411)
@@ -51,7 +51,8 @@
 res = scatalog(id = student_id)
 matric_no = res[0].matric_no
+student_from_cat = res[0] 
 
 res = returning(matric_no = matric_no)
-student = res[0]
+student_from_returning = res[0]
 res = results(matric_no = matric_no)
 results = res
@@ -98,9 +99,15 @@
     gpa = float(gpa) / course_count
     gpa = "%4.2f" % gpa
+if student_from_cat.sex:
+    info['sex'] = 'F'
+else:
+    info['sex'] = 'M'
+info['level'] = int(student_from_cat.level)-100
 info['verdict'] = verdict
 info['session'] = session
 info['gpa'] = gpa
 info['results'] = (sem1, sem2)
-info['student'] = student
+info['student_from_returning'] = student_from_returning
+info['student'] = student_from_cat
 info['s_id'] = student_id
 return info
Index: /WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt	(revision 1410)
+++ /WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt	(revision 1411)
@@ -9,7 +9,5 @@
         </a>
       </div>
-      <h3>Session Results of <span tal:content="info/student/Firstname" />
-        <span tal:content="info/student/Middlename" />
-        <span tal:content="info/student/Lastname" />
+      <h3>Session Results of <span tal:content="info/student/name" />
       </h3>
       <br />
@@ -26,11 +24,11 @@
         </tr>
         <tr>
-          <th>Sex:</th><td tal:content="info/student/Sex" />                     
+          <th>Sex:</th><td tal:content="info/sex" />                     
         </tr>
         <tr>
-          <th valign="top">Course of Study:</th><td tal:content="info/student/Coursemajor" />                     
+          <th valign="top">Course of Study:</th><td tal:content="info/student_from_returning/Coursemajor" />                     
         </tr>
         <tr>
-          <th>Level:</th><td tal:content="info/student/Level" />                     
+          <th>Level:</th><td tal:content="info/level" />                     
         </tr>
       </table>
Index: /WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt	(revision 1410)
+++ /WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt	(revision 1411)
@@ -9,7 +9,5 @@
         </a>
       </div>
-      <h3>Session Results of <span tal:content="info/student/Firstname" />
-        <span tal:content="info/student/Middlename" />
-        <span tal:content="info/student/Lastname" />
+      <h3>Session Results of <span tal:content="info/student/name" />
       </h3>
       <br />
@@ -26,11 +24,11 @@
         </tr>
         <tr>
-          <th>Sex:</th><td tal:content="info/student/Sex" />                     
+          <th>Sex:</th><td tal:content="info/sex" />                     
         </tr>
         <tr>
-          <th valign="top">Course of Study:</th><td tal:content="info/student/Coursemajor" />                     
+          <th valign="top">Course of Study:</th><td tal:content="info/student_from_returning/Coursemajor" />                     
         </tr>
         <tr>
-          <th>Level:</th><td tal:content="info/student/Level" />                     
+          <th>Level:</th><td tal:content="info/level" />                     
         </tr>
       </table>